<?php

/**
 * Plexx About Me Widget.
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Elementor_Plexx_Aboutme extends \Elementor\Widget_Base {


    public function get_name() {
        return 'plexx_aboutme';
    }

    public function get_title() {
        return __( 'Plexx About Me', 'themeworm' );
    }

    public function get_icon() {
        return 'far fa-address-card';
    }

    public function get_categories() {
        return [ 'plexx-elementor-category' ];
    }

    public function get_keywords() {
        return ['author', 'plexx', 'about', 'photo', 'link'];
    }

    public function __construct($data = [], $args = null) {
      parent::__construct($data, $args);

   }

    protected function _register_controls() {

        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'About Me Settings', 'themeworm' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );



      $this->end_controls_section();

    }



    protected function render() {

        $settings = $this->get_settings_for_display();



    }




}
